## debusine 0.14.0

=== debian/control ===
Source: debusine
Section: devel
Priority: optional
Maintainer: Raphaël Hertzog <raphael@freexian.com>
Uploaders: Colin Watson <cjwatson@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 dput-ng <!nocheck>,
 graphviz <!nodoc>,
 libjs-bootstrap5 (>= 5.3.3+dfsg-2~) <!nodoc>,
 libjs-jquery-isonscreen <!nodoc>,
 libjs-jquery-tablesorter <!nodoc>,
 libjs-jquery-throttle-debounce <!nodoc>,
 libjs-select2.js,
 openssl <!nocheck>,
 postgresql <!nocheck>,
 pybuild-plugin-pyproject,
 python3 <!nocheck>,
 python3-aiohttp <!nodoc>,
 python3-apt <!nocheck>,
 python3-argcomplete <!nocheck>,
 python3-boto3 (>= 1.36.0) <!nodoc>,
 python3-botocore <!nodoc>,
 python3-celery <!nodoc>,
 python3-channels-redis <!nodoc>,
 python3-configobj <!nodoc>,
 python3-coverage (>= 7.6.0) <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-daphne <!nodoc>,
 python3-dateutil <!nocheck>,
 python3-debian (>= 1.0.0) <!nodoc>,
 python3-django (>= 3:4.2) <!nodoc>,
 python3-django-celery-results <!nodoc>,
 python3-django-channels <!nodoc>,
 python3-django-cte <!nodoc>,
 python3-django-pglocks <!nodoc>,
 python3-django-pgtrigger <!nodoc>,
 python3-django-prometheus <!nodoc>,
 python3-djangorestframework (>= 3.16.0) <!nodoc>,
 python3-doc <!nocheck> <!nodoc>,
 python3-email-validator <!nodoc>,
 python3-fabric <!nocheck> <!nodoc>,
 python3-fasteners <!nodoc>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-hcloud <!nocheck> <!nodoc>,
 python3-jsonpath-rw <!nodoc>,
 python3-jwcrypto <!nocheck>,
 python3-lxml <!nocheck>,
 python3-magic <!nocheck> <!nodoc>,
 python3-nacl <!nocheck>,
 python3-packaging <!nocheck>,
 python3-paramiko <!nocheck>,
 python3-pgpy <!nocheck> <!nodoc>,
 python3-prometheus-client <!nocheck> <!nodoc>,
 python3-psutil <!nocheck> <!nodoc>,
 python3-psycopg-c <!nodoc>,
 python3-pydantic <!nodoc>,
 python3-pyftpdlib <!nocheck>,
 python3-pygments <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-pytest-subtests <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-file <!nocheck> <!nodoc>,
 python3-requests-oauthlib <!nocheck>,
 python3-requests-toolbelt <!nodoc>,
 python3-responses (>= 0.21.0) <!nocheck>,
 python3-rich <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-tenacity <!nodoc>,
 python3-urllib3 (>= 2.0.0) <!nodoc>,
 python3-uvicorn <!nodoc>,
 python3-yaml <!nodoc>,
 redis-server <!nocheck>,
 sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
 xkcdpass <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://salsa.debian.org/freexian-team/debusine
Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
Rules-Requires-Root: no
X-Python3-Version: >= 3.13

Package: python3-debusine
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Main Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains most of the Python libraries.

Package: python3-debusine-server
Architecture: all
Section: python
Depends:
 python3-debusine (= ${source:Version}),
 python3-debusine-signing (= ${source:Version}),
 python3-django (>= 3:4.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Server part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the server related part of the Python libraries.

Package: python3-debusine-signing
Architecture: all
Section: python
Depends:
 python3-debusine (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-debusine-server (<< 0.3.3~)
Replaces:
 python3-debusine-server (<< 0.3.3~)
Description: Signing worker part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the signing worker related part of the Python
 libraries.

Package: debusine-server
Architecture: all
Depends:
 adduser,
 arch-test,
 dbconfig-pgsql | dbconfig-no-thanks,
 gunicorn,
 libjs-bootstrap5 (>= 5.3.3+dfsg-2~),
 libjs-select2.js,
 python3-apt,
 python3-debusine-server (= ${source:Version}),
 python3-uvicorn,
 sensible-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 default-mta | mail-transport-agent,
 nginx-core | httpd,
 postgresql,
 redis-server,
Suggests:
 munin-node,
Description: Services to run a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides all the required services to run a debusine server.

Package: debusine-client
Architecture: all
Depends:
 python3-debusine (= ${source:Version}),
 sensible-utils,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 dput-ng,
Description: Command line client to interact with a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the command line client used to interact with a
 debusine server.

Package: debusine-worker
Architecture: all
Depends:
 adduser,
 arch-test,
 python3-debusine (= ${source:Version}),
 udev,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 autopkgtest,
 binutils-for-host | binutils-multiarch,
 debootstrap,
 debvm (>= 0.4.4~),
 dosfstools,
 e2fsprogs,
 fdisk,
 iproute2,
 mmdebstrap,
 mount,
 mtools,
 parted,
 qemu-utils,
 sbuild,
 systemd,
 systemd-ukify | systemd (<< 255.1-1),
 uidmap,
 xz-utils,
Suggests:
 incus,
 qemu-kvm,
Description: Standalone daemon handling work requests for a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the services to run a debusine worker executing work
 requests sent by a debusine server.

Package: debusine-signing
Architecture: all
Depends:
 arch-test,
 dbconfig-pgsql | dbconfig-no-thanks,
 openssl,
 python3-debusine-signing (= ${source:Version}),
 python3-gpg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 devscripts,
 sbsigntool,
Description: Signing service for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides a service that holds private keys and uses them to
 sign data on behalf of debusine.

Package: debusine-doc
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 The documentation includes end-user documentation (how to use), administrator
 documentation (how to setup) and developer documentation (how to contribute,
 design and API).

## debusine 0.14.1~bpo13%2B1

=== debian/changelog ===
debusine (0.14.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 17 Dec 2025 08:35:05 -0400

debusine (0.14.1) unstable; urgency=medium

  * New release.  Highlights:
    - Generalize child workspace creation.
    - Add web UI views to manage collections.
    - Add `debusine archive suite create` command.
    - Show input artifacts in web UI for several workflows.
    - Several fixes for EC2 worker pools.
    - Add a tab with regression analysis summaries to QA workflow UI.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 16:18:30 +0000

## debusine 0.14.1~bpo13+1

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  python3-django-channels <!nodoc>,
  python3-django-cte <!nodoc>,
  python3-django-pglocks <!nodoc>,
+ python3-django-pgtransaction <!nodoc>,
  python3-django-pgtrigger <!nodoc>,
  python3-django-prometheus <!nodoc>,
  python3-djangorestframework (>= 3.16.0) <!nodoc>,

## debusine 0.14.2~bpo13+1

=== debian/changelog ===
debusine (0.14.2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jan 2026 11:04:29 +0000

debusine (0.14.2) unstable; urgency=medium

  * New release.  Highlights:
    - Many fixes for cloud workers.
    - Improve presentation of text and log files.
    - Accept pytest 9 instead of pytest-subtests (closes: #1124127).
    - dput-ng configuration for debusine.debian.net: Automatically map any
      known distribution to a workflow template named
      `upload-to-{distribution}`.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 10:36:38 +0000

## debusine 0.14.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
LINKCHECKOUTPUTDIR = $(BUILDDIR)/linkcheck

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

linkcheck:
	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)" -q
	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"

livehtml:
	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) --open-browser --ignore '*.*swp'

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-argcomplete <!nocheck>,
  python3-boto3 (>= 1.36.0) <!nodoc>,
  python3-botocore <!nodoc>,
- python3-celery <!nodoc>,
+ python3-celery (>= 5.5.0) <!nodoc>,
  python3-channels-redis <!nodoc>,
  python3-configobj <!nodoc>,
  python3-coverage (>= 7.6.0) <!nocheck>,
@@ -63,10 +63,10 @@
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-pytest <!nocheck>,
+ python3-pytest (>= 9.0.0) <!nocheck> | python3-pytest-subtests <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-django <!nocheck>,
- python3-pytest-subtests <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-file <!nocheck> <!nodoc>,
@@ -78,6 +78,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-tenacity <!nodoc>,
+ python3-unidiff <!nocheck>,
  python3-urllib3 (>= 2.0.0) <!nodoc>,
  python3-uvicorn <!nodoc>,
  python3-yaml <!nodoc>,

## debusine 0.14.3~bpo13+1

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCIODEBUG=1 and other flags.
# PYTHONTRACEMALLOC=1 is helpful when debugging ResourceWarnings, but is too
# slow to leave enabled all the time.
PYTHON_ENVIRONMENT := PYTHONASYNCIODEBUG=1 PYTHONDEBUG=1 PYTHONWARNINGS=always::ResourceWarning

ifeq ($(VERBOSE),1)
    VERBOSE_OPTION_TESTS := -v
else
    VERBOSE_OPTION_TESTS :=
endif

# Quick sanity check to run before each commit
check:
	pre-commit run -a

# Reformat the code
format:
	pre-commit run -a ruff-format

djlint:
	tox -e djlint

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) pytest --ignore=debusine/signing --cov=debusine --cov-append --cov-report= $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) pytest --ds=debusine.signing.settings --cov=debusine --cov-append --cov-report= debusine/signing $(VERBOSE_OPTION_TESTS)
ifeq ($(HTML_COVERAGE),1)
	python3 -m coverage html
endif
	python3 -m coverage report --precision=2 --show-missing --skip-covered $(if $(TOTAL_COVERAGE),| perl -pe '$$total = $$1 if /^TOTAL .* (\d+(?:\.\d+)?%)/; END { print "TOTAL COVERAGE $$total\n" }')

css:
	( \
		echo "/* This file is generated by pygments by running make css. License is BSD-2-clause (same as pygments) */" ; \
		python3 -m pygments -S github-dark -f html \
	) > debusine/web/static/web/css/debusine-code-highlight.css

.PHONY: check format djlint coverage css

=== debian/changelog ===
debusine (0.14.3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 Jan 2026 16:19:51 -0400

debusine (0.14.3) unstable; urgency=medium

  * New release.  Highlights:
    - Drop support for jessie and trusty environments.
    - Link to archives from the workspace detail view.
    - Performance improvements.
    - Groups can now be workspace-scoped.
    - Drop support for pydantic 1.x.
    - Add support for Python 3.14.
  * Limit number of workers used by unit-tests-server (closes: #1125791).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Jan 2026 10:43:44 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export SETUPTOOLS_SCM_PRETEND_VERSION := $(shell debian/get-version '$(DEB_VERSION_UPSTREAM)')

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter $(DEB_BUILD_OPTIONS),nodoc))
execute_after_dh_auto_build:
	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
	# The ticket talks about:
	# -socket.getfqdn(): this happens in Debusine's code in ./debusine/project/settings/defaults.py
	# -locale.setlocale(locale.LC_ALL, ''): this happens in sphinx code
	# -LANG=ru_RU.CP1251: one of the locales used by reprotest
	# -hostname is not resolvable: reprotest sets the hostname to reprotest-capture-hostname
	#  but reprotest-capture-hostname is not resolvable (not via /etc/hosts or any other method)
	sed -i -e "s|https://docs.python.org/|/usr/share/doc/python3-doc/html|" docs/conf.py
	LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bhtml docs/ build/html # HTML generator
	sed -i -e "s|/usr/share/doc/python3-doc/html|https://docs.python.org/|" docs/conf.py
	# LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bman docs/ build/man # Manpage generator
endif

override_dh_auto_test:
	# XXX: Disable tests as they require postgresql and redis to run
	# and to be configured. One day we might run those in a temporary
	# space.
	# dh_auto_test -- --system=custom --test-args="make coverage"

execute_after_dh_auto_install:
	# Copy python3-debusine-{server,signing} settings from the
	# distributed ones into /etc/debusine/{server,signing}. Create a
	# link from selected.py to production.py.
	set -e; \
	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
	rm "$$CONFIG_SRC_DIR/selected.py"; \
	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
	rmdir "$$CONFIG_SRC_DIR"; \
	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"

	set -e; \
	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/signing/settings`; \
	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
	rm "$$CONFIG_SRC_DIR/selected.py"; \
	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
	rmdir "$$CONFIG_SRC_DIR"; \
	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"

override_dh_python3:
	dh_python3 --package=python3-debusine-server --depends-section=server
	dh_python3 --package=python3-debusine-signing --depends-section=signing
	dh_python3 --package=python3-debusine
	dh_python3 --package=debusine-client --depends-section=client
	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
	rm -rf debian/debusine-client/usr/lib/python3*/dist-packages/debusine-*.dist-info
	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info
	# Prune empty dist-packages
	find debian/debusine-client/usr/lib -depth -type d -empty -delete

override_dh_installsystemd:
	# Run this before the main service so that migrations are run first
	# on upgrade.
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-migrate
	dh_installsystemd --package=debusine-server \
		debusine-server.service
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-celery
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-periodic-tasks
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-provisioner
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-scheduler
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-delete-expired \
		debusine-server-delete-expired.timer
	dh_installsystemd --package=debusine-server --no-start \
		--name=debusine-server-delete-expired \
		debusine-server-delete-expired.service
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-vacuum-storage \
		debusine-server-vacuum-storage.timer
	dh_installsystemd --package=debusine-server --no-start \
		--name=debusine-server-vacuum-storage \
		debusine-server-vacuum-storage.service

	# Run this before the main service so that migrations are run first
	# on upgrade.
	dh_installsystemd --package=debusine-signing \
		--name=debusine-signing-migrate
	dh_installsystemd --package=debusine-signing \
		debusine-signing.service

	dh_installsystemd \
		--no-package=debusine-server --no-package=debusine-signing

## debusine 0.14.3

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
  python3-fabric <!nocheck> <!nodoc>,
  python3-fasteners <!nodoc>,
  python3-hatch-vcs,
- python3-hatchling,
+ python3-hatchling (>= 1.26.0),
  python3-hcloud <!nocheck> <!nodoc>,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
@@ -59,7 +59,8 @@
  python3-prometheus-client <!nocheck> <!nodoc>,
  python3-psutil <!nocheck> <!nodoc>,
  python3-psycopg-c <!nodoc>,
- python3-pydantic <!nodoc>,
+ python3-pydantic (>= 2.10.0) <!nodoc>,
+ python3-pydantic-core <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-pytest <!nocheck>,

## debusine 0.14.4

=== docs/Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 .PHONY: help Makefile
 
 linkcheck:
-	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
-	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
 	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)" -q
 	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"

=== debian/changelog ===
debusine (0.14.4) unstable; urgency=medium

  * New release.  Highlights:
    - DebDiff improvements.
    - Hopefully fix a timeout in SFTP tests (closes: #1126585).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Jan 2026 11:20:29 -0400

=== debian/tests/control ===
Tests: unit-tests-tasks
Depends:
 python3-debusine,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-client
Depends:
 debusine-client,
 dput-ng,
 git,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends:
 debusine-worker,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-server
Depends:
 dbconfig-no-thanks,
 debusine-server,
 postgresql,
 python3-daphne,
 python3-lxml,
 python3-paramiko,
 python3-pyftpdlib,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-responses,
 redis-server,
Restrictions: allow-stderr, needs-root

Tests: unit-tests-signing
Depends:
 dbconfig-no-thanks,
 debusine-signing,
 devscripts,
 postgresql,
 python3-cryptography,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr, needs-root

Tests: integration-tests-workflow-debian-pipeline
Depends:
 autopkgtest,
 ca-certificates,
 debian-archive-keyring,
 debusine-client,
 debusine-server,
 debusine-signing,
 debusine-worker,
 iproute2,
 mmdebstrap,
 nginx,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 redis-server,
 sbuild,
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-simplesystemimagebuild
Architecture: amd64
Depends:
 ca-certificates,
 binutils-for-host | binutils-multiarch,
 debusine-client,
 debusine-server,
 debusine-worker,
 debvm (>= 0.4.4~),
 dosfstools,
 e2fsprogs,
 fdisk,
 linux-image-generic,
 mmdebstrap,
 mount,
 mtools,
 nginx,
 parted,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 qemu-utils,
 redis-server,
 ssl-cert,
 sudo,
 systemd,
 systemd-ukify | systemd (<< 255.1-1),
 uidmap,
 xz-utils,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-signing
Depends:
 ca-certificates,
 debian-archive-keyring,
 debusine-client,
 debusine-server,
 debusine-signing,
 debusine-worker,
 iproute2,
 mmdebstrap,
 nginx,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 redis-server,
 sbsigntool [amd64 arm64 armhf i386 riscv64],
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-aptmirror
Depends:
 apt-utils,
 ca-certificates,
 debusine-client,
 debusine-server,

## debusine 0.14.4build1

=== debian/changelog ===
debusine (0.14.4build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:53:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: debusine
 Section: devel
-Priority: optional
 Maintainer: Raphaël Hertzog <raphael@freexian.com>
 Uploaders: Colin Watson <cjwatson@debian.org>, Stefano Rivera <stefanor@debian.org>
 Build-Depends:
@@ -86,11 +85,10 @@
  redis-server <!nocheck>,
  sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
  xkcdpass <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
 Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
-Rules-Requires-Root: no
 X-Python3-Version: >= 3.13
 
 Package: python3-debusine

## debusine 0.14.5~bpo13+1

=== debian/changelog ===
debusine (0.14.5~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Mar 2026 11:29:28 -0400

debusine (0.14.5) unstable; urgency=medium

  * New release.  Highlights:
    - Really fix a timeout in SFTP tests (closes: #1126585).
    - APT Mirroring supports: partial mirrors, translation indices, and
      authentication.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Feb 2026 08:43:21 -0400

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
  python3-pydantic-core <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
+ python3-pyparsing <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest (>= 9.0.0) <!nocheck> | python3-pytest-subtests <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
